## org.codehaus.groovy.grails.web.mapping
Class DefaultUrlMappingsHolder.UrlMappingsListKey

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.DefaultUrlMappingsHolder.UrlMappingsListKey

Enclosing class:
  DefaultUrlMappingsHolder

     class DefaultUrlMappingsHolder.UrlMappingsListKey

extends Object

A class used as a key to lookup a all UrlMappings based on only controller and action.

Field Summary
`(package private) String` `action`
`(package private) String` `controller`

Constructor Summary
`DefaultUrlMappingsHolder.UrlMappingsListKey(String controller, String action)`

Method Summary
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### controller

    String controller

### action

    String action

Constructor Detail

### DefaultUrlMappingsHolder.UrlMappingsListKey

    public DefaultUrlMappingsHolder.UrlMappingsListKey(String controller,
                                                       String action)

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright (c) 2005-2009 The Grails project